Forum |  HardWare.fr | News | Articles | PC | Prix | S'identifier | S'inscrire | Aide | Shop Recherche
483 connectés 

  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  [TOPIC UNIQUE] O2 (SGI) avec openBSD/SGI (Only FB 8 bits ??)

 



 Mot :   Pseudo :  
 
Bas de page
Auteur Sujet :

[TOPIC UNIQUE] O2 (SGI) avec openBSD/SGI (Only FB 8 bits ??)

n°1251252
Hermes le ​Messager
...pipi dans la mer...
Posté le 21-11-2010 à 11:25:39  profilanswer
 

Topic unique: OPENBSD/SGI sur SGI O2
 
Bon alors voilà.
J'ai eu l'occasion de récupérer une Station O2 de chez SGI en parfait état (même le lecteur de CD marche).
 
Mon but :
- Soit pouvoir la transformer en station bureautique légère (genre avec une petite suite bureautique + internet)
- Soit pouvoir la transformer en petit serveur web.
 
Autant dire que c'est pas gagné.
 
Ce que j'ai déjà fait :
 
- Installation OPENBSD/SGI via CD
- Installation de SLIM et de Fluxbox.
- Installation d'openssh
- X marche via fb (Framebuffer)
- wget marche ainsi que Links (oué... trop bon :D )
- Lighttpd est installé.  
 
Ce qui ne marche pas et/ou que je cherche à faire.
 
- Avoir plus de 8bits pour les couleurs via fb. Comment ? Aucune idée.
- être capable de compiler des softs absents des dépôts (il faut dire qu'il n'y a VRAIMENT pas grand chose. Pour vous faire une idée je vous invite à consulter la liste complète ici : ftp://ftp.openbsd.org/pub/OpenBSD [...] es/mips64/ )
- Déporter X via ssh ou pouvoir trouver une solution pour me passer d'un écran branché sur la station SGI.
- Installer PHP + MySQL (lighttpd est installé) - Si PHP pas possible, au moins pouvoir avoir python (je m'en contenterais pour des pages web dynamiques :D )

Message cité 1 fois
Message édité par Hermes le Messager le 28-11-2010 à 12:52:58
mood
Publicité
Posté le 21-11-2010 à 11:25:39  profilanswer
 

n°1251266
Hermes le ​Messager
...pipi dans la mer...
Posté le 21-11-2010 à 13:18:39  profilanswer
 

lol, je sens que ce topic va être le plus gros bide de toute l'histoire d'HFR. :D

n°1251272
bardiel
Debian powa !
Posté le 21-11-2010 à 14:37:06  profilanswer
 

Tiens, on n'est pas dimanche ? :o
 
openBSD/SGI je ne connais pas, donc je ne peux pas dire.
Après, voir si les sources de mises à jour sont correcte (par rapport à la version) car j'avais un soucis similaire pour mettre une ubuntu sur un Mac PowerPC :/


---------------
Achievement unlocked : double TT pour avoir dénoncer un floodeur impoli sur le topic "Discussion avec la modération" de la cat' OS Alternatif
n°1251273
Hermes le ​Messager
...pipi dans la mer...
Posté le 21-11-2010 à 14:52:12  profilanswer
 

bardiel a écrit :

Tiens, on n'est pas dimanche ? :o
 
openBSD/SGI je ne connais pas, donc je ne peux pas dire.
Après, voir si les sources de mises à jour sont correcte (par rapport à la version) car j'avais un soucis similaire pour mettre une ubuntu sur un Mac PowerPC :/


 
Ben théoriquement oui. Mon architecture est bien MIPS64 ( que je sache en tous cas...) :/
 
J'avoue que je sais pas trop quoi faire...  

n°1251276
agentsteel
Posté le 21-11-2010 à 15:15:30  profilanswer
 

il y a peut-être plus de packages binaires du côté de NetBSD?
 
(c'est une supposition, je n'ai pas vérifié)

n°1251283
Hermes le ​Messager
...pipi dans la mer...
Posté le 21-11-2010 à 17:21:00  profilanswer
 

agentsteel a écrit :

il y a peut-être plus de packages binaires du côté de NetBSD?
 
(c'est une supposition, je n'ai pas vérifié)


 
Non mais les packages que j'essaye d'installer SONT dans le dépôt. C'est juste que ça me crache cette erreur bizarre non documentée et à laquelle je ne comprends rien.

n°1251288
agentsteel
Posté le 21-11-2010 à 17:49:22  profilanswer
 

un problème similaire, au final le gars a remplacé la RAM de sa machine
 
http://www.mail-archive.com/sgi@op [...] 00024.html

n°1251291
Tsomi
From station to station
Posté le 21-11-2010 à 18:06:12  profilanswer
 

Plop,
 
Ce que dit le message d'erreur, c'est qu'il s'attend à ce qu'il existe une libc.so.56.0 sur ton système, mais toi tu possèdes la libc.so.58.0.
 
Donc en gros, tu es en train d'installer les paquets de la 4.8 sur un snapshot [:painkiller]
 
À mon avis tu es allé récupérer un snapshot quelques jours avant la sortie de la 4.8 en espérant avoir une presque-4.8. Mais en fait, non, tu as récupéré un snapshot de la prochaine 4.9, qui sortira dans 6 mois.
Il faut savoir que, quelques semaines avant la sortie d'une nouvelle version d'OpenBSD, il n'est plus possible d'obtenir un snapshot de la version n+1, puisqu'il est remplacé par un snapshot de la version n+2 (qui commence alors tout juste à être développée).
 
À mon avis, ils font ça pour inciter les gens à commander les CD, mais je trouve ça chiant parce que :

  • beaucoup de gens font cette erreur à un moment (moi y-compris) ;
  • l'arbre des paquets est lui aussi cassé à ce moment-là, donc ça fait au moins un mois pendant lequel on ne peut utiliser que les ports pour installer des trucs ;
  • c'est difficile de tester un snapshot de la prochaine version quand il n'est plus dispo.


Enfin bref. Je te conseille donc de réinstaller la véritable version 4.8, que tu trouveras dans pub/OpenBSD/4.8/sgi.
 
Et tu n'as normalement plus besoin de préciser PKG_PATH à partir de la 4.8, cf. pkg.conf(5), qui est rempli tout seul durant l'installation.

n°1251505
Hermes le ​Messager
...pipi dans la mer...
Posté le 22-11-2010 à 16:24:38  profilanswer
 

ok, je vais voir ça. Je vais sûrement devoir attendre le weekend prochain pour essayer. :D

n°1252570
Hermes le ​Messager
...pipi dans la mer...
Posté le 27-11-2010 à 21:30:10  profilanswer
 

bon effectivement, ça a l'air d'être ça. Maintenant, j'arrive à installer wget.
 [:chadouw]  
 
 

Spoiler :

je vais aller loin avec ca...  :o

mood
Publicité
Posté le 27-11-2010 à 21:30:10  profilanswer
 

n°1252582
Hermes le ​Messager
...pipi dans la mer...
Posté le 27-11-2010 à 23:53:53  profilanswer
 

Bon, un autre problème maintenant.
 
Impossible de trouver les outils gcc, make et consort pour MIPS64. :o
 
On fait comment pour compiler un soft sur sur truc là? :o

n°1252584
Hermes le ​Messager
...pipi dans la mer...
Posté le 28-11-2010 à 00:33:41  profilanswer
 

bon en fait j'ai installé gmake :o

n°1252612
Hermes le ​Messager
...pipi dans la mer...
Posté le 28-11-2010 à 12:52:19  profilanswer
 

Bon, j'ai bien avancé. Mise à jour du premier post.

n°1252747
Tsomi
From station to station
Posté le 29-11-2010 à 17:34:16  profilanswer
 

Hermes le Messager a écrit :

- Installation OPENBSD/SGI via CD
- Installation de SLIM et de Fluxbox.
- Installation d'openssh
- X marche via fb (Framebuffer)
- wget marche ainsi que Links (oué... trop bon :D )
- Lighttpd est installé.


 
Hum openssh est déjà inclus dans le système de base...
J'espère que tu utilises bien pkg_add pour ajouter la majorité de tes softs, et pas de violents ./configure && gmake && gmake install...
 

Hermes le Messager a écrit :


Ce qui ne marche pas et/ou que je cherche à faire.
 
- Avoir plus de 8bits pour les couleurs via fb. Comment ? Aucune idée.


Pas possible. Enfin, techniquement, tu peux aller modifier un #define dans le noyau pour augmenter ça, mais ça sera très très très très lent.
 
Un post récent à ce sujet sur la ML :
http://marc.info/?l=openbsd-sgi&m= [...] 810769&w=2
 
Si tu veux utiliser toutes les capacités de la bête, il vaut mieux rester sous IRIX. Qui plus est, il y a des communautés qui s'amusent à proposer des paquets pas trop fossilisés.
 

Hermes le Messager a écrit :

- être capable de compiler des softs absents des dépôts (il faut dire qu'il n'y a VRAIMENT pas grand chose. Pour vous faire une idée je vous invite à consulter la liste complète ici : ftp://ftp.openbsd.org/pub/OpenBSD [...] es/mips64/ )


Il y avait en fait un problème dans le toolchain pour les archi mips64/mips64el (un gros bug dans les binutils, je crois). Python, cups et GTK+2 ne compilent pas, par exemple. Et du coup, les nombreux softs qui en ont besoin ne sont pas présents non plus.
 
Le problème a été totalement corrigé dans la branche -snapshot, cela dit.
 
Du coup, désolé, mais il faudra peut être repasser à un snapshot [:elessar53]  
Attention, c'est assez sport de suivre la version de développement. Il faut impérativement avoir lu tout ce que la FAQ dit à ce sujet.
 
Utiliser NetBSD serait peut-être plus simple. Je pense que ce bug est corrigé dans leur version stable depuis longtemps. Et apparemment la carte graphique marche en 24 bits avec accélération, à en lire le lien vers le ML que j'ai donné plus haut.
 

Hermes le Messager a écrit :

- Déporter X via ssh ou pouvoir trouver une solution pour me passer d'un écran branché sur la station SGI.


ssh -X, non ?
 

Hermes le Messager a écrit :


- Installer PHP + MySQL (lighttpd est installé) - Si PHP pas possible, au moins pouvoir avoir python (je m'en contenterais pour des pages web dynamiques :D )


 
PHP et Python ne sont disponibles que dans la branche snapshot (en raison du bug évoqué au-dessus).
 
--
Hé, tu as de la chance que je suive beaucoup le développement d'OpenBSD/mips :D Non, j'ai pas d'O2 (chanceux, va :o), mais je prévois de m'acheter un Lemote Yeeloong et d'y mettre OpenBSD (j'ai déjà 5 autres machines sous OpenBSD :o ), et c'est du mips64el, donc très proche.


Message édité par Tsomi le 29-11-2010 à 17:54:03

Aller à :
Ajouter une réponse
  FORUM HardWare.fr
  Linux et OS Alternatifs
  Installation

  [TOPIC UNIQUE] O2 (SGI) avec openBSD/SGI (Only FB 8 bits ??)

 

Sujets relatifs
Comment modifier le BIOS d'un SGI ALTIX ?Probleme disque dur scsi sous SGI
récupération Indy SGI R5000[Motif] Installation de SGI Inventor sur SuSE 9.3
Recherche un pro irix 6.5 sur SGI Origin200stations SGI + PC : les transferts réseau font planter IRIX.
ssh sous unix SGIdemonter un sgi
SGI Indy et OS Libres...Une petite experience sur les SGI octane
Plus de sujets relatifs à : [TOPIC UNIQUE] O2 (SGI) avec openBSD/SGI (Only FB 8 bits ??)


Copyright © 1997-2018 Hardware.fr SARL (Signaler un contenu illicite) / Groupe LDLC / Shop HFR